## cascading.flow.hadoop.util
Interface ObjectSerializer

All Known Implementing Classes:
  JavaObjectSerializer

    public interface ObjectSerializer

Class ObjectSerializer is an experimental interface for allowing custom java.lang.Object subclass serialization other than via the java.io.Serializable interface.

To use, set the `OBJECT_SERIALIZER_PROPERTY` value on the flow configuration.

Field Summary
`static String` `OBJECT_SERIALIZER_PROPERTY`

Method Summary

`

`<T> boolean`

`

`accepts(Class<T> type)`

`

`<T> T`

`

`deserialize(byte[] bytes, Class<T> type, boolean decompress)`

`

`<T> byte[]`

`

`serialize(T object, boolean compress)`

Field Detail

### OBJECT_SERIALIZER_PROPERTY

    static final String OBJECT_SERIALIZER_PROPERTY

See Also:
  Constant Field Values

Method Detail

### serialize

    <T> byte[] serialize(T object,
                         boolean compress)
                     throws IOException

  Throws:
    `IOException`

### deserialize

    <T> T deserialize(byte[] bytes,
                      Class<T> type,
                      boolean decompress)
                  throws IOException

  Throws:
    `IOException`

### accepts

    <T> boolean accepts(Class<T> type)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.